## 1.5.0

### New features
* customization of accent colors
* ability to change navbar link style (either underline or pills)
* you can now make buttons using modified markdown (syntax: `[btn]text[/btn]`)
* you can now customize maximum length of content before it gets trimmed (used in sharing options); set to 0 to disable
* ability to change the icon to your own
* ability to toggle preview in admin panel
* install script to easily install CatAsk (WARNING: VERY BUGGY, **DO NOT USE YET**)

### Security
* resolved a vulnerability where some api routes didn't require logged in session

### Fixes
* improved accessibility
* blacklist now should check if any of the words are blacklisted instead of just the first one

### Regressions
* removed ctrl-enter shortcut from instance settings in admin panel due to a bug regarding shortcuts and event listeners

### Miscellaneous
* changed metadata image to instance's favicon
* improved styling
* code cleanup
* readme improvements

## 1.4.4

### Fixes
* don't show rules box if there aren't any rules

## 1.4.3

### Fixes
* fixed tab title being incomplete
* fixed rules block not updating live in admin panel

## 1.4.2

### Fixes
* add `rules` to `instance` in config.example.json

## 1.4.1

### Fixes
* fixed commit message

## 1.4.0

### New features
* alerts show up as notifications in top-right corner of the screen
* ability to set rules
* live preview of some options in admin panel
* remaining character count under the question input box
* added alerts for "copy link" and "copy to clipboard" actions
* ctrl-enter shortcut to answer question, the same shortcut is used to save changes in admin panel
* live unyanswered question count in inbox
* option to disable confirmation when deleting questions from inbox
* instance description now supports markdown

### Fixes
* improved accessibility of some elements
* emoji support by switching to utf8mb4 charset

### Miscellaneous
* code cleanup

### Known bugs
* notification for "return to inbox" option triggers twice (visual bug)
